Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 465364 - xfce-extra/xfce4-power-manager should be ported from sys-fs/udisks:0 to sys-fs/udisks:2
Summary: xfce-extra/xfce4-power-manager should be ported from sys-fs/udisks:0 to sys-f...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 439624
  Show dependency tree
 
Reported: 2013-04-10 07:41 UTC by coyote
Modified: 2014-09-16 11:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coyote 2013-04-10 07:41:58 UTC
xfce-extra/xfce4-power-manager still depends from udisks 1.x, but udisks 2.x already installed.
Comment 1 Samuli Suominen gentoo-dev 2014-07-18 19:48:00 UTC
http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=3ad75fad293fb66e6316aa5820ee064f264eafa4

http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=c9d0626110e4b6e906610e9a2316cdac7a11d58e

http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=dc6ef998a2f19b6c2fcbfb48164db04be44c885d

The sys-fs/udisks:0 dependency can be dropped from next version because upstream dropped the code. The code is still in 1.3.0, but won't be in 1.3.1 or 1.4.0 and so forth.
Comment 2 Samuli Suominen gentoo-dev 2014-08-20 07:02:59 UTC
fixed in version 1.3.1 (older ones will be dropped in due time, there's plenty of other udisks 1.x consumers to worry about in gentoo-x86 before these would become blockers)
Comment 3 Samuli Suominen gentoo-dev 2014-09-16 11:14:52 UTC
old ones dropped, no udisks 1.x dependency left in tree